+++
date = 2013-08-01T00:00:00+00:00
title = "Builder"
tags = ["devtools"]
+++

I'd like to set up clean auto builds of my personal projects and some
upstream projects like crosstool-ng, gcc, and binutils.

## Clean install

I'd like the build to run in a clean setup so the base system can be
used for general development without affecting the build results.

Some technologies are:

  - docker (LXC containers)
  - schroot (Debian specific chroot helper)

debootstrap or Ubuntu Core can be used for the base system. Use polipo
as a cache for the packages.

Aside: what does the debootstrap buildd variant include?

  - /usr/share/debootstrap/scripts/<distro> include the selectors
  - Adds build-essential (quite reasonable)
  - Or all tagged as Build-Essential

## schroot

schroot is nice:

  - normal users can enter the chroot
  - you can spawn a session chroot off a seed
  - the startup scripts copy various files from the host across

