+++
date = 2016-01-20T00:00:00+00:00
title = "LPC810 Hacking"
tags = ["embedded"]
+++

The
[LPC810](http://www.nxp.com/products/microcontrollers-and-processors/arm-processors/lpc-arm-cortex-m-mcus/lpc-cortex-m0-plus-m0/lpc800-series/32-bit-arm-cortex-m0-plus-microcontroller-4-kb-flash-and-1-kb-sram:LPC810M021FN8)
is a Cortex-M0+ in a 8 pin PDIP.

    PIO0_5 /RESET   (o   )  PIO0_0 U0_RXD
    PIO0_4 U0_TXD   (    )  Vss
    PIO0_3          (    )  Vdd
    PIO0_2          (    )  PIO0_1 /ISPEN

See also the [user
manual](http://cache.nxp.com/documents/user_manual/UM10601.pdf).

Programming is over serial using
[lpc21isp](http://sourceforge.net/projects/lpc21isp/).

The Sparkfun 3.3V FTDI cable is

    Black  GND (o
    Brown  CTS (
    Red    VCC (
    Orange TXD (
    Yellow RXD (
    Green  RTS (

RTS is an output, CTS an input. The LPC needs /RST and /ISPEN which is
tricky. Tie low for development as you can send the GO command to run
the user code.

