+++
date = 2012-03-25T00:00:00+00:00
title = "Jaycar MP3735 MPPT solar charge controller"
+++

I'm using the [Jaycar](http://jaycar.co.nz/)
[MP3735](http://jaycar.co.nz/productView.asp?ID=MP3735) 12V/24V 30A MPPT
Solar Charge Controller for charging my office. It's got a micro on
board so let's open the box and try and get more information out of it.

The board ID reads:

    ISC3040MPPT-V2.0
    2011-3-28

The stickers read:

    ISC-MPPT-V11
    ISC3040-V11

Searching for similar keeps bringing up the
[ProVista](http://www.provistahk.com) Maxi ISC 30. Same plastics but a
different colour trim. There's a model range but no mention of
monitoring on any.

The CON2 header reads:

    SDA  SCL  XRES  G  5V

The CON1 header reads something like:

    PCLK  P???  GND  5V  --

CON2 is probably I2C. There's a periodic packet of data clocked at
around 82 kHz.

Everything is 5 V which makes hooking it to my favourite 3.3 V STM32
tricky.

## Photos

![Data panel](data.jpg)

![Front side of the PCB](front.jpg)

![Back side of the PCB](back.jpg)

![Board ID on the back of the PCB](board-id.jpg)

![Headers on the top front](headers.jpg)
