+++
date = 2014-08-24T00:00:00+00:00
title = "Mini Xplus as a Server"
tags = ["devtools"]
+++

Random, incomplete notes on using a [Miniand
Tech](https://www.miniand.com/) [Mini Xplus
H24](https://www.miniand.com/products/Mini%C2%A0Xplus%20TV%20Box%20H24)
as a server machine.

## v2

I've soldered up a serial port so doing things from scratch is much
easier.

    $ sudo cp -a hwpack/rootfs/* /media/removable/rootfs/
    
    sun4i# set extraargs init=/bin/sh
    sun4i# run bootcmd
    
    # rm -rf /var/run
    # ./debootstrap/debootstrap --second-stage
    # passwd

## v1

Start with the Lubuntu image:
https://www.miniand.com/forums/forums/2/topics/1

I used
http://dl.miniand.com/allwinnera10/ubuntu/lubuntu-desktop-12.04-4-720p-512MB-miniand.com.img.7z

Turns out my board has 1 GB and the board probed for it just fine.

Writing the image to an SD card gives a boot and rootfs partition
similar to the OMAP series. The bootfs has a binary file and kernel
image.

I don't have a keyboard. Fix the wifi interface by editing
`/etc/network/interfaces`:

    auto wlan0
    iface wlan0 inet dhcp
            wpa-ssid "your network name"
            wpa-psk your-network-key

The board doesn't seem to register the hostname with the DHCP server.
mDNS works though.

The Lubuntu image is armel based. The hard float armhf Precise image
should be much faster for floating point workloads as the A8 takes some
time to shift values back and forth between the core and VFP unit.

Grab the modules from `/lib/modules`. kpartx is your friend.

Grab the most recent Precise release. I used
http://cdimage.ubuntu.com/releases/precise/release/ubuntu-12.04-preinstalled-server-armhf+omap4.img.gz

gunzip, `mkfs.ext4 -L rootfs -m 0.5 /dev/sdc2`, and tar across to the SD
card.

Set a password for root by editing `/etc/shadow`.

Use QEMU to boot and `apt-get install wireless-tools wpasupplicant
openssh-server`. `adduser your-name`. `adduser your-name sudo`.

You can now boot and login.

Set the default locale in `/etc/default/locale`

    LANG=C
    LANGUAGE=C

Add universe to `/etc/apt/sources.list`. Toast
/var/lib/preinstalled-pool/.

