---
title: Wireless temperature cluster
author: michaelh
type: post
date: 2005-06-08T09:01:25+00:00
url: /2005/06/21/
categories:
  - Blogroll

---
For measuring the vertical temperature gradient cheaply at different stations across about a heactare of land. A heactare is 10000 m^2 or about 100&#215;100 metres. You could use a set of [1-wire][1] temperature sensors in a local cluster. Use a 433MHz radio link and coding similar to [this wireless mouse trap][2] and a battery pack to give greater than six month life.

It would need something to collect the information as you don&#8217;t want a laptop to be on all of the time. The individual stations could keep transmitting a rolling few days of data or use something like [MRTG][3]&#8216;s methods of collating data. Or keep something low power on all of the time that also decodes the protocol and provides a serial interface.

Basic costs:

  * Transmitter ~$4.20US 
  * Dallas 18B20 sensor &#8211; $2.57US 
  * Atmel ATTINY or similar &#8211; $5NZ 

Mechanicals including a waterproof box and antenna, if any, would double the cost.

 [1]: http://www.maxim-ic.com/products/ibutton/
 [2]: http://www.circuitcellar.com/library/print/0604/RicciBitti-167/index.htm
 [3]: http://mrtg.hdl.com/mrtg.html