---
title: First tries with Go
author: michaelh
type: post
date: 2013-12-23T19:20:36+00:00
url: /2013/12/first-tries-with-go/
categories:
  - nppilot

---
I&#8217;d like to learn [Go][1], so I&#8217;m considering using for the command side of my never complete self driving RC truck project. Here&#8217;s some quick notes after a night of hacking:

  * [Effective Go][2] is short, detailed, and just right if you&#8217;re happy in other languages 
      * Go 1.2 builds cleanly on a Samsung ARM Chromebook in a Ubuntu Saucy Crouton chroot 
          * The emacs packages are in misc/emacs. Copy to `~/.emacs.d/lisp` 
              * Inside emacs, try `go-mode` and `gofmt` 
                  * [encodings/binary][3] can encode and decode bytes to structs, so that takes care of the message parsing. </ul> 
                    The target machine is a ARM Cortex-A8 based BeagleBone Black and so far the ARM support seems first class.
                    
                    Aside: You can do a surprising amount in GCC Go without touching the runtime. I wonder if you could write basic code for the AVR in Go?

 [1]: http://golang.org
 [2]: http://golang.org/doc/effective_go.html
 [3]: http://golang.org/pkg/encoding/binary/