---
title: Supervisor is working
author: michaelh
type: post
date: 2013-12-29T20:51:52+00:00
url: /2013/12/supervisor-is-working/
categories:
  - nppilot

---
The supervisor for my autopilot is working. This is a fairly critical piece that runs on the AVR I/O board and handles the handover between the manual remote, the autopilot, and any safeties.

This means I have:

  * Multi-channel PWM input from the RC receiver. 
      * A link with the Go based, BeagleBone hosted pilot that receives demands. 
          * A state machine that handles remote to pilot handover. 
              * Throttle shutdown on remote loss, pilot loss, and resume on low throttle. 
                  * And indicators for all. </ul> 
                    There&#8217;s many hacks, like using polling instead of triggering on an input cycle, but it&#8217;s getting closer to being safe to try on the real car.