---
title: Heading controller tests
author: michaelh
type: post
date: 2014-01-26T20:27:40+00:00
url: /2014/01/heading-controller-tests/
categories:
  - nppilot

---
The heading controller didn&#8217;t work out as well. I had one bug when converting from 0..360 degrees to -Pi..Pi radians, but most of the problems were due to reliability and a lack of speed.

You need quite a bit of room when testing as you need to go > 15 km/h to get a good heading from the GPS and to give the wheels something to turn against. Using the three position switch to change modes and dump back into manual mode works well, so I only had a few low speed bumps.

There&#8217;s a reliability problem in the communications between the I/O board and the BeagleBone which I suspect is due to temperature. I&#8217;m using the internal RC osciallator on the AVR and, according to the datasheet, the frequency may change ~0.1 MHz between my normal toasty testing place inside and the zero degrees outside. Time to fit a crystal and perhaps take it up to 20 MHz at the same time to give lower noise in the software PWM. The upgrade may be fun as I&#8217;ve soldered the AVR onto the board &#8211; if I burn the fuses wrong then I don&#8217;t know if I can recover the chip without desoldering it.