---
title: Adding watchdogs to track down a halt
author: michaelh
type: post
date: 2014-02-01T20:39:17+00:00
url: /2014/02/adding-a-watchdog-to-track-down-a-halt/
categories:
  - nppilot

---
The car controller is dropping out now and again for no obvious reason. I thought it was due to the cold changing the internal RC oscillator frequency and making the serial communications unreliable, but I&#8217;ve switched to a 12 MHz crystal and it&#8217;s no better. The problem doesn&#8217;t happen inside, so I suspect it&#8217;s interference from the motor causing a serial error which the serial driver locks up on. Restarting the program without resetting the hardware clears the fault so I should be able to handle it in software as well.

I&#8217;ve added a watchdog on all of the interesting dimensions: GPS data, GPS lock, input from the remote, heartbeats from the board, and two-way communications via a ping. Hopefully the fault will now show up in the logs.

I&#8217;ll dump the message and error counter to the log as well to see if the rates change when driving.

Heh, next thing you know my car will be running Borgmon&#8230;