---
title: Stopping ‘PAM service(sshd) ignoring max retries’ errors in syslog
author: michaelh
type: post
date: 2014-04-22T17:25:12+00:00
url: /2014/04/stopping-pam-servicesshd-ignoring-max-retries-errors-in-syslog/
categories:
  - Uncategorized

---
Seeing messages like `sshd[28778]: PAM service(sshd) ignoring max retries; 6 > 3` in auth.log? It&#8217;s caused by pam_unix disagreeing with sshd on how many times a user can retry their password before getting disconnected. To stop it, add `MaxAuthTries 3` to `/etc/ssh/sshd_config`.