---
title: Pin to native mapping for the Teensy LC
author: michaelh
type: post
date: 2015-05-03T19:43:56+00:00
url: /2015/05/pin-to-native-mapping-for-the-teensy-lc/
categories:
  - nppilot

---
I&#8217;m hacking on porting [NuttX][1] to the [Teensy LC][2] instead of using PJRC&#8217;s excellent Arduino support. For reference, here&#8217;s the Arduino pin mapping to the native pin:

<pre>0 PTB16
1 PTB17
2 PTD0
3 PTA1
4 PTA2
5 PTD7
6 PTD4
7 PTD2
8 PTD3
9 PTC3
10 PTC4
11 PTC6
12 PTC7
13 PTC5
14 PTD1
15 PTC0
16 PTB0
17 PTB1
18 PTB3
19 PTB2
20 PTD5
21 PTD6
22 PTC1
23 PTC2
24 PTE20
25 PTE21
26 PTE30
</pre>

This was made by running [core_pins.h][3] through the C preprocessor.

 [1]: nuttx.org
 [2]: https://www.pjrc.com/teensy/teensyLC.html
 [3]: https://github.com/PaulStoffregen/cores/blob/master/teensy3/core_pins.h