---
title: Serial to NeoPixel bridge
author: michaelh
type: post
date: 2015-10-25T20:55:15+00:00
url: /2015/10/serial-to-neopixel-bridge/
enclosure:
  - |
    |
        https://juju.net.nz/michaelh/blog/wp-content/uploads/2015/10/VID_20151025_212428.mp4
        7730501
        video/mp4
        
categories:
  - Uncategorized

---
I&#8217;m hacking on a project to hook a [NeoPixel][1] ring up to the internet. I don&#8217;t have a good reason why, but it&#8217;s a good excuse to work with OpenWrt, TURN servers, and some blinking lights.

NeoPixels are fairly hard to drive as they use a single wire, 800 kHz, non-return-to-zero protocol which needs precise timing. I decided to push the problem off into a
  
[Olimex ATTINY85][2] board that takes serial data on one side and updates the ring on the other.

Here&#8217;s a video of a two chasers with a little bit of tail blur. The main loop is written in Python, which renders the chasers and writes them out at 57600 baud:

<div style="width: 640px; " class="wp-video">
  <video class="wp-video-shortcode" id="video-288-2" width="640" height="427" preload="metadata" controls="controls"><source type="video/mp4" src="https://juju.net.nz/michaelh/blog/wp-content/uploads/2015/10/VID_20151025_212428.mp4?_=2" /><a href="https://juju.net.nz/michaelh/blog/wp-content/uploads/2015/10/VID_20151025_212428.mp4">https://juju.net.nz/michaelh/blog/wp-content/uploads/2015/10/VID_20151025_212428.mp4</a></video>
</div>

Next step is to get approval to release the source code.

 [1]: https://learn.adafruit.com/adafruit-neopixel-uberguide/overview
 [2]: https://www.olimex.com/Products/Duino/AVR/OLIMEXINO-85-ASM/open-source-hardware