+++
title = "Adventures in making PCBs"
date = 2017-09-11T11:09:18+02:00
draft = false

+++
As part of adding [MySensors](https://www.mysensors.org/) based sensors around the house, I want to
make an integrated version of the [Sensebender Micro](https://www.mysensors.org/hardware/micro) upgraded with a
SAMD21 and a [RFM69HCW](https://webshop.ideetron.nl/RFM69HCW) radio.  I've never had much success with making
PCBs at home, so I thought I'd give it another try and record the
experiments.

Try 1: HP M252dw, laminator @ 10 mm, 4 times through, Migros-brand
T-Shirt transfer paper.  Some transfer but lots left behind.  Tape
melted with heat?  Learn: rotate image to make better use of paper.
Transfer paper goes hatches down in paper tray.

Try 2: HP, iron, transfer paper. Iron: max temp, no steam, 30s in
place, 2m total.  Too much movement, smeared.  Transfer paper has a
sticky layer (by design?) which melted.  Lesson: T-shirt transfer
paper is not usable.

Try 3: HP, iron, glossy IKEA catalog pages.  Iron: as #2.  Paper
reports as jammed.

Try 4: HP, iron, HP Q5451A photo paper.  I wrapped the paper around
the PCB, which makes it rise.  Paper sticks to the iron when heated.
Result: little toner transferred.

Try 4: Samsung, iron, HP Q4551A photo paper.  Result: little toner
transferred.

Try 5: PCB coated with blue spray paint, 40W laser to remove the
paint.  Result: a thin film is left on the copper.  Trying to remove
the film also removes the paint.  Too higher power also shrinks the
tracks.  Result is insensitive to power level so lower is
better.

So, no luck yet.  I've ordered some [PCBfx](http://pcbfx.com/) toner
transfer paper and TRF foil.  I've also ordered a small batch from
[Dirty PCBs](http://DirtyPCBs.com) to see what the turn around time is
like.  It may be worth it for the detail and lack of mess.
