+++
math = false
highlight = true
tags = []
title = "ST Link v2 clone as a dev board"
date = 2018-01-04T17:22:05+01:00
draft = false
+++

I got distracted and had a hack on using a STL Link v2 clone as a
development board.  There's a lot to like:

* A Cortex-M3 STM32F103C8T processor with 64 KiB of flash and 20 KiB
  of RAM
* 4 I/O lines and a LED to blink
* Decent support in [STM32duino](https://github.com/stm32duino) with a
  DFU bootloader
* Comes in a case and plugs directly into a USB port
* [~$2/each](https://www.aliexpress.com/wholesale?SearchText=st+link+v2)

The I/O is strange and limited but it's enough to drive a RGB LED via
PWM, drive a 40 RGB LED
[pHAT](https://shop.pimoroni.com/products/unicorn-phat) over SPI, and
drive a [320x240 LCD](https://www.adafruit.com/product/2478) over fast
bitbanged SPI.

I won't continue with this though.  The I/O is too limited and a
[Blue Pill](http://wiki.stm32duino.com/index.php?title=Blue_Pill) is
the same price sans case.
