+++
date = "2018-10-20T00:02:42+02:00"
title = "Android phone as an alarm clock"
highlight = true
draft = false
+++
My son wanted to get an alarm clock for his room which preferably
plays MP3s.  MP3 players are [surprisingly expensive][1] at 40 CHF for
a 4 GiB model so I picked up a used [Moto E 2nd gen phone][2] for 35
GBP, loaded a stripped down version of [Lineage OS][3] on it, and
designed a [3D printed a stand][4]:

![Moto E on a 3D printed stand](stand.jpg)

![Render of the stand](render.png)

I'm quite happy with how it turned out.  The phone is just an alarm
clock and MP3 player as the other apps are either not installed or (like the
Play Store) behind Lineage's protected app feature.  This gives ~5 GiB
of free storage for songs.  The battery lasts for >= 5d as well.

I'll do one more revision to build a [right angle USB cable][5] into
the base for easy charging.

[1]: https://www.interdiscount.ch/de/fernseher-audio/mp3-audiorecording/mp3-media-player--C164000/intertronic-mp3-player-mp3-767-blt-4-gb-black--P0001433489
[2]: https://www.ebay.co.uk/itm/MOTOROLA-MOTO-E-2nd-Gen-XT-1524-Unlocked-Tesco-Various-Colours-Mobile/232869676340
[3]: https://lineageos.org/
[4]: https://juju.nz/src/michaelh/CAD/src/branch/master/stands
[5]: https://www.ebay.co.uk/itm/1-5m-USB-2-0-A-To-RIGHT-ANGLE-MICRO-B-Data-Charging-Cable-Lead-007241/191762039916
