---
date: "2020-11-19T00:00:00+02:00"
title: "Solar at home"
highlight: true
draft: false
projects: ["solarch"]
---

For the last month or so I've been working on making my home server
(which also hosts this blog!) solar powered. It's pointless but
entertaining, and this is a first of a series of posts about what I
learned on the way.

![Solar panel mounted on the frame](mounted.jpg)

The summary is that a 55 W panel with 200 Wh of battery is enough to
power a Raspberry Pi 4 with SSD during the European winter. You still
need a mains power fallback, as a couple of days of grey weather will
deplete the battery.

The last 7d have been fairly sunny:

![Total power generation in Wh per day](totals.png)

This graph shows the power generated over a 16h window, so the peaks
are the total generation for that day. Total for the week was 741 Wh
or $0.15.
