---
title: "OpenWrt as the first point in my network"
date: 2024-01-30
---
I'd like to separate the primary and secondary services in my home network so, for example, a problem with Nginx doesn't break the home automation. The current
plan is to put the primary services including routing and basic automation onto one simple machine and see if that helps.

Rather than use Debian and try to use it as a router, I thought I'd start with OpenWrt and try to use it as an application server. The first step is to trial it on my home office.

## Notes

Hardware I have:

- Intel 7260 Wifi
- Intel I218-LM Ethernet
- Realtek RTL8153 Ethernet
- Belkin RTL8188CUS Wifi
- Apple A1277 Ethernet (ASIX?)
- CSR Bluetooth dongle

Misc:

- Blank the screen: Add `setterm --blank 1` to rc.S

SSH:

- `Firewall > Traffic Rules > Allow port 22 from wan`
- Uses dropbear, works fine as a jump host

Dynamic DNS:

- `ddns-scripts-cloudflare`
