+++
title = "PL/0 implementation"
summary = "A toy compiler for the PL/0 educational language."
+++
https://juju.net.nz/src/pl0.git

A toy compiler for the [PL/0](https://en.wikipedia.org/wiki/PL/0)
educational language.

## Motivation
I've worked with compilers for a fair part of my life but have never
written one from scratch.  I decided on PL/0 after hearing about
"Algorithms + Data Structures = Programs" by Niklaus Wirth who happens
to work nearby at ETH.

## Usage

    python3 -m pl0.driver [-o output.c] [source.pl0]

See `Makefile` for further rules and examples/ for examples.


-- Michael Hope <mlhx@google.com> <michaelh@juju.net.nz>
