+++
date = 2012-03-29T00:00:00+00:00
title = "Solar power for my office"
tags = ["machines"]
+++

I'm getting a 10 square metre office built in the garden. Let's solar
power it\! This page has notes.

Most bits are from Jaycar.

A 380 W pure sine wave inverter. The fan stays off under normal \< 100 W
draw use. No inverter noise. Not hot. Thumbs up\!

Started with a single 80 W 12 V Chinese monocrystaline panel. Peaks at 5
A. Peak power at ~16 V. Comes with waterproof connectors.

Started with a PWM charge controller. Pick 20 A for future capacity.
Developed a peak of around 60 W (12 V @ 5 A). Changing to a MPPT gives
an extra ~30 % (16 V = +4 V @ 5 A).

20 A mains flex is fine. Not UV proof though.

Added a second panel.

Thinkpad R500 laptop with Ubuntu Precise takes 40 W @ 240 V with the
screen on, 60 W peak. Charge controller said it was delivering 50 W so
10 W loss + error in the inverter. Power factor is nasty.

Single small spare car battery gives OK storage. Only really needed for
bridging. Probably won't last.

Mild cloud cover reduces output to ~1/3. Surprising.

Point the panel north, your latitude from the ground. I was surprised
with how accurate this is at the start of Autum. Measured the altitude
of the sun using my shadow and it matched well. [Solar angle
calculator](http://solarelectricityhandbook.com/solar-angle-calculator.html)
says 70 degrees in summer, 46 in autumn, and 22 in winter, and winter is
coming...

Going for best winter performance (31 degrees) gives 2.81 kWh/m2/day at
worst, 4.54 in summer. Best summer gives 2.30 to 5.64. Best winter gives
22 % more energy at the most needed time.

(Panel is 1210 x 540 = 0.65 m2. 80 W and ~1 kW/m2 gives ~12 % efficient)

8 hours with 2 x 15 W lights, 50 W laptop, 10 W loss = 90 W \* 8 hours =
0.72 kWh. 0.65 x 2 m2 of panels @ 12 % @ 2.81 hWh/m2/day = 0.44 hWh = 61
% of needed.

Azimuth of the sun changes by 90 degrees during the day.

Use a 230 V relay for automatic changeover. Draws \< 1 W. Change in \<
16 ms.

## Parts

| Catalogue | Name | Price |
| --------- | ---- | ----- |
| MP3735 | 12V/24V 30A MPPT Solar Charge Controller | 309 |
| ZM9300 | 80W Recreational Solar Package Deal | 375 |
| MP-3128 | Solar Charging Controller | -43.9 |
| ZM9097 | Powertech Monocrystalline Solar Panel - 80W | 359 |
| MI5162 | 380 Watt 12VDC to 230VAC Pure Sine Wave Inverter | 312 |
|  | 12 V car battery |  |
| WB1568 | 5 m 20 A mains flex | 24.5 |
|  | Hobby box | 5 |
|  | M4 x 12 | 6 |
|  | M6 x 15 | 6 |
|  | 5 m aluminium channel | 60 |

Total is $1400. Too much.

## Pictures

![Prototype on the back lawn](front.jpg)

![Chair happens to set the panel at the right angle](top.jpg)

![Box upside down showing charge controller and inverter](box.jpg)

## Further

We have gas hot water and a heat pump. Consumption is 6500 kWh/year @
20.44 c/kWh = $1335 / year. Peak is July at 22 kWh/day. Summer is 10
kWh/day.

The June 2009 Motukiekie Island ECEA study says 2.72 kWp cost $17 k.
Batteries $12 k, inverters $13 k.

$17 k / 2.72 kWp = $6.25/Wh. A 80 W panel would be $500. Difference must
be framing and installation.

Solarbuzz says the average price per Wp is $2.29 US for the module.
Gives $7800 for the same system.

Guess and say we need a 3 kW inverter. $0.711 US/kW ~= $3000.

Auckland and Christchurch get 2050 sunshine h/year. 3.1 kWp ideally to
cover it.

The iMiEV has a 16 kWh battery and can do 160 km. 20 km/day ~= 2kWh.
