+++
date = 2015-07-12T00:00:00+00:00
title = "NAZE32"
tags = ["machines"]
+++


The NAZE32 is a STM32 based flight controller. I own a rev5 version with
the baro and magnetic compass that would be a great sensor and
controller board for nppilot. This page has notes on the hardware
itself.

The schematic is hard to find. The rev4 schematic is mirrored
[here](http://fpvwiki.com/images/7/70/Naze32_rev4_schematic.pdf). The
CPU is a STM32F103CBT6 in a 48 pin package.

## Basics

The two main connectors are the motor and receiver blocks. PPM input is
on RX1.

## UARTs

  - UART1: pin 30, 31 to the CP2102
  - UART2: pin 12, 13 to RC\_CH3, RC\_CH4
  - UART3: pin 21, 21 mapped to SCL, SDA (so unusable)
  - UART1: pin 42 (TX), 43 (RX) to PWM3, PWM4 (motor block)

The other remaps aren't brought out on the 48 pin chip.

