---
title: Playing with ndiswrapper
author: michaelh
type: post
date: 2005-05-29T08:07:43+00:00
url: /2005/05/playing-with-ndiswrapper/
categories:
  - Uncategorized

---
Very impressed so far. Purchased a Dick Smith [XH8227 802.11g USB][1] network adapter as they were on closeout for a reasonable price. There are efforts to get a [driver going natively][2] using the [prism54.org][3] drivers as a base but I wanted to get things up and going quickly.

Got confused at first as I loaded the PCI drivers into ndiswrapper first and then couldn&#8217;t figure out why it couldn&#8217;t find the card. It came up quite quickly from there. My <tt>/etc/network/interfaces</tt> ended up being:

<pre># The loopback network interface
auto lo wlan0
iface lo inet loopback

# This is a list of hotpluggable network interfaces.
# They will be activated automatically by the hotplug subsystem.
mapping hotplug
        script grep
        map eth0

# The primary network interface
iface eth0 inet static
      address 192.168.2.2
      netmask 255.255.255.0

iface wlan0 inet dhcp
      wireless-key &lt;secret>
      wireless-essid Call&lt;secret>
      hostname squishy
</pre>

Added <tt>mdnsresponder</tt> to squishy and now I can ping squishy from my iBook. Added <tt>libnss-mdns</tt> and edited <tt>/etc/nsswitch.conf</tt> to have <tt>hosts: files dns mdns4</tt> and now I can ping crush.local from squishy. Nice. No DNS server incolved.

 [1]: http://www.dse.co.nz/cgi-bin/dse.storefront/4299766c0d648674273fc0a87f9907a0/Product/View/XH8227
 [2]: http://jbnote.free.fr/prism54usb/
 [3]: http://prism54.org/