---
title: Automatic PC fan control
author: michaelh
type: post
date: 2005-06-12T07:45:53+00:00
url: /2005/06/automatic-pc-fan-control/
categories:
  - Blogroll

---
Use a Atmel [ATTINY26][1]
  
as a serial port based fan controller for a PC. Tracy&#8217;s machine is very noisy but has built in sensors for the CPU and case temperature. Use a PC app to do closed loop control on the temperature. Run it hot-ish as the cooling effect increases with the temperature differential so the hotter it runs the slower the fan needs to run.

Use a FET for the fan drive. The reset case on the micro will be full noise. Could also use the on-board ADC and a resistor divider to sense the back EMF when the PWM is off to get an idea of fan speed.

It should be very cheap &#8211; the micro is $6.20 and there is \_very\_ little support circuitry. Instead of using the CPUs sensor, you could add 1-wire or similar temperature gauges directly to the Atmel but at significant additional cost.

 [1]: http://www.sicom.co.nz/xurl/PageID/2214/function/viewprd/prd_id/92602/pmm_id/0/8-bit-mcu-w2k-bytes-flash-20-dip.html