---
title: Unstable heading
author: michaelh
type: post
date: 2014-02-16T19:48:42+00:00
url: /2014/02/unstable-heading/
categories:
  - nppilot

---
The replacement wishbone arrived so the cars in good shape, but still no luck with the heading controller. I can get it to slowly oscillate along a straight line by using a low Kp and restricting the steering, but the step response is poor. Adding a differential term based off the GPS heading didn&#8217;t help and showed up the high frequency noise you&#8217;d expect from a differential.

I suspect there&#8217;s quite a bit of lag in the GPS heading and that it has a hard time calculating on tight, small radius turns. This seems reasonable as the heading must come from the velocity angle or difference in position. Measuring and plotting would help&#8230;

Next step is to wire up the MPU-6050 based gyro I got off ebay. [i2cdevlib][1] has a driver for it that uses the [Fastwire][2] ATMEGA I2C library, but I&#8217;ve stripped out so much there&#8217;s not much original code left. The board is physically a bit tight so it&#8217;ll be tricky to fit.

 [1]: http://www.i2cdevlib.com/
 [2]: https://code.google.com/p/simplo/