---
title: Shorter boot time on the Arietta G25
author: michaelh
type: post
date: 2014-07-13T19:25:45+00:00
url: /2014/07/shorter-boot-time-on-the-arietta-g25/
categories:
  - nppilot

---
Short story: my [Arietta G25][1] now boots to prompt in 3.9 s instead of the stock 50.7 s. Nice.

I had a hack about with reducing the boot time of the Arietta G25 ARM9 based Linux board. I&#8217;m planning on doing some kernel hacking so shorter is better as it cuts the build/push/test cycle down.

My log is [here][2]. I pulled the usual tricks like switching to custom init scripts (eck), dropping udev for mdev, and doing things like USB Ethernet initialisation as late as possible.

I had a few surprises: LZO is faster than Gzip (despite being bigger and taking longer to load from SD), -O2 is faster to boot than -Os (despite being heavier on the cache), and switching from 115200 baud to 460800 also made a difference.

This is all against a Chromebook host with Crouton. The USB Ethernet also works fine once I switched the board from EEM to ECM mode.

 [1]: http://www.acmesystems.it/arietta
 [2]: /michaelh/nppilot/boottime.html