---
title: Balancing robot first steps
author: michaelh
type: post
date: 2014-09-21T18:01:47+00:00
url: /2014/09/balancing-robot-first-steps/
categories:
  - nppilot

---
I&#8217;m working on a self balancing robot as a _coming-into-winter-something-inside-sounds-good_ project. Today I got it [driving about][1]: not balancing, not smart, but still a good milestone.



It&#8217;s been a lot of fun due to the different tech involved. The body is laser cut acrylic with finger joints to join the base to the motor plates. The controller is a [Arietta][2] 400 MHz ARM9 running Debian. The motors are some cheap DC motors/gearbox/wheel combos from Olimex. The motor controller is a L298. The &#8216;up&#8217; sensor is a six axis MPU6050 giving gyros and accelerometers.

It&#8217;s definitely a v1. I want to redo the frame to be much narrower and taller giving a more &#8216;upright&#8217; shape. I might build a PCB instead of veroboard to shrink the whole design.

The current hard problem is the supply. I need 5V to drive the USB Wifi adapter so I&#8217;m considering changing the 6V 4x AA battery pack for a 7.4 V 2S LiPo. It&#8217;s a better size and is a high enough voltage that I can put a 5 V linear regulator and have both the motor and control from the same battery.

[<img src="https://juju.net.nz/michaelh/blog/wp-content/uploads/2014/09/IMG_20140921_154022-1024x768.jpg" alt="Robot main view" width="584" height="438" class="aligncenter size-large wp-image-212" srcset="https://juju.net.nz/michaelh/blog/wp-content/uploads/2014/09/IMG_20140921_154022-1024x768.jpg 1024w, https://juju.net.nz/michaelh/blog/wp-content/uploads/2014/09/IMG_20140921_154022-300x225.jpg 300w, https://juju.net.nz/michaelh/blog/wp-content/uploads/2014/09/IMG_20140921_154022-400x300.jpg 400w" sizes="(max-width: 584px) 100vw, 584px" />][3]

[<img src="https://juju.net.nz/michaelh/blog/wp-content/uploads/2014/09/IMG_20140921_154037-1024x768.jpg" alt="Robot main view alternate" width="584" height="438" class="aligncenter size-large wp-image-211" srcset="https://juju.net.nz/michaelh/blog/wp-content/uploads/2014/09/IMG_20140921_154037-1024x768.jpg 1024w, https://juju.net.nz/michaelh/blog/wp-content/uploads/2014/09/IMG_20140921_154037-300x225.jpg 300w, https://juju.net.nz/michaelh/blog/wp-content/uploads/2014/09/IMG_20140921_154037-400x300.jpg 400w" sizes="(max-width: 584px) 100vw, 584px" />][4]

 [1]: http://youtu.be/AO2-zbcM4jQ
 [2]: http://www.acmesystems.it/arietta
 [3]: https://juju.net.nz/michaelh/blog/wp-content/uploads/2014/09/IMG_20140921_154022.jpg
 [4]: https://juju.net.nz/michaelh/blog/wp-content/uploads/2014/09/IMG_20140921_154037.jpg