---
title: Impressed with NodeMCU
author: michaelh
type: post
date: 2015-02-06T19:34:25+00:00
url: /2015/02/impressed-with-nodemcu/
categories:
  - esp8266

---
[NodeMcu][1] is a Lua interpreter with a good set of support libraries for the far-too-cheap [ESP8266][2]. I&#8217;m impressed with how easy it is to script up a Wifi connected thermometer using a [DS18B20][3] 1-wire thermometer, [MQTT][4] for publishing, and Wifi to a [OpenWRT router][5] for the transport.

Have a look at the NodeMcu git repo for the [bundled libraries][6] which include a JSON parser, MQTT, spifs, and software based I2C, 1-wire, and PWM drivers.

It&#8217;s very RAM hungry though. I had a hack and got it up to 25 k of free heap, but that&#8217;s only just enough for a single device and MQTT connection.

[<img src="https://juju.net.nz/michaelh/blog/wp-content/uploads/2015/02/IMG_20150206_2036122-1024x827.jpg" alt="IMG_20150206_203612~2" width="584" height="471" class="aligncenter size-large wp-image-250" srcset="https://juju.net.nz/michaelh/blog/wp-content/uploads/2015/02/IMG_20150206_2036122-1024x827.jpg 1024w, https://juju.net.nz/michaelh/blog/wp-content/uploads/2015/02/IMG_20150206_2036122-300x242.jpg 300w, https://juju.net.nz/michaelh/blog/wp-content/uploads/2015/02/IMG_20150206_2036122-371x300.jpg 371w" sizes="(max-width: 584px) 100vw, 584px" />][7]

 [1]: http://nodemcu.com/index_en.html
 [2]: https://www.olimex.com/Products/IoT/MOD-WIFI-ESP8266-DEV/#
 [3]: http://www.maximintegrated.com/en/products/analog/sensors-and-sensor-interface/DS18B20.html
 [4]: http://mqtt.org/
 [5]: http://wiki.openwrt.org/toh/tp-link/tl-mr3020
 [6]: https://github.com/nodemcu/nodemcu-firmware/tree/master/app
 [7]: https://juju.net.nz/michaelh/blog/wp-content/uploads/2015/02/IMG_20150206_2036122.jpg