---
title: 1.8″ LCD support for the ESP8266
author: michaelh
type: post
date: 2015-05-17T18:21:14+00:00
url: /2015/05/1-8-lcd-support-for-the-esp8266/
categories:
  - nppilot

---
I&#8217;ve ported the [Adafruit 1.8&#8243; LCD][1] [driver][2] to the new-ish [Arduino ESP8266][3] port and done an optimisation pass. Short story is that the demo that comes with the board is down from 6083 ms to 3424 ms, and big operations like fill screen is down from 1454 ms to 157 ms. Hurray for FIFOs and better bus utilisation!

[<img src="https://juju.net.nz/michaelh/blog/wp-content/uploads/2015/05/IMG_20150517_191847.jpg" alt="IMG_20150517_191847" width="2363" height="2295" class="aligncenter size-full wp-image-263" />][4]

I&#8217;m quite impressed with the Arduino port: the group have done a lot of work on the completeness, speed, and in porting the standard libraries like the SD FAT support I plan to use for logging.

My goal is to restart my self driving RC car project with a [NAZE32][5] as the controller board and an [ESP8266][6] as logging, display, and telemetry. Let&#8217;s see how far I get this time 🙂

 [1]: http://www.adafruit.com/products/358
 [2]: https://github.com/adafruit/Adafruit-ST7735-Library
 [3]: https://github.com/esp8266/Arduino
 [4]: https://juju.net.nz/michaelh/blog/wp-content/uploads/2015/05/IMG_20150517_191847.jpg
 [5]: http://www.hobbyking.com/hobbyking/store/__55819__AfroFlight_Naze32_Acro_AbuseMark_FunFly_Controller.html
 [6]: https://olimex.com/Products/Modules/Ethernet/MOD-WIFI-ESP8266-DEV/