---
title: 'Hack of the day: scrolling text'
author: michaelh
type: post
date: 2016-01-03T19:04:36+00:00
url: /2016/01/hack-of-the-day-scrolling-text/
enclosure:
  - |
    |
        https://juju.net.nz/michaelh/blog/wp-content/uploads/2016/01/udisplay-with-scrolling-text.mp4
        4957478
        video/mp4
        
categories:
  - hacking

---
I did a quick hack today and wrote a scrolling text app for an [Adafruit 8&#215;8 LED display][1] I had lying about:

<div style="width: 640px; " class="wp-video">
  <video class="wp-video-shortcode" id="video-302-3" width="640" height="360" preload="metadata" controls="controls"><source type="video/mp4" src="https://juju.net.nz/michaelh/blog/wp-content/uploads/2016/01/udisplay-with-scrolling-text.mp4?_=3" /><a href="https://juju.net.nz/michaelh/blog/wp-content/uploads/2016/01/udisplay-with-scrolling-text.mp4">https://juju.net.nz/michaelh/blog/wp-content/uploads/2016/01/udisplay-with-scrolling-text.mp4</a></video>
</div>

The app is written in C++ using the Intel [`mraa`][2] I/O library (which looks pretty good) and running on a [WRTNODE][3] MIPS dev board with OpenWrt. The interesting bit is the text rendering: I started with a [6&#215;8][4] bitmap font then added automatic width detection, blitting for rendering to the buffer, and blitting for rendering a scrolling window on the buffer to the display.

The next step is to add a web app so you can post messages from the Internet. What could go wrong?

 [1]: https://www.adafruit.com/products/872
 [2]: https://github.com/intel-iot-devkit/mraa
 [3]: http://wrtnode.cc/
 [4]: https://github.com/idispatch/raster-fonts/blob/master/font-6x8.c