---
title: Fading text on an OLED screen
author: michaelh
type: post
date: 2016-02-04T21:18:10+00:00
url: /2016/02/fading-text-on-an-oled-screen/
enclosure:
  - |
    |
        https://juju.net.nz/michaelh/blog/wp-content/uploads/2016/02/oled.mp4
        3512150
        video/mp4
        
categories:
  - hacking

---
Here&#8217;s my hack of the moment: text fading in on a [OLIMEX 128&#215;64 OLED display][1]. The interesting bit is that this is a TTF font which is rendered by [SDL2][2] into a buffer, dithered into black and white using [Floyd-Steinberg error diffusion][3], and then written out using the [Intel IoT upm][4] display driver. Optimizing the bulk write routine got the frame rate up from ~4 FPS to ~15 FPS.

<div style="width: 640px; " class="wp-video">
  <video class="wp-video-shortcode" id="video-315-4" width="640" height="360" preload="metadata" controls="controls"><source type="video/mp4" src="https://juju.net.nz/michaelh/blog/wp-content/uploads/2016/02/oled.mp4?_=4" /><a href="https://juju.net.nz/michaelh/blog/wp-content/uploads/2016/02/oled.mp4">https://juju.net.nz/michaelh/blog/wp-content/uploads/2016/02/oled.mp4</a></video>
</div>

 [1]: https://www.olimex.com/Products/Modules/LCD/MOD-OLED-128x64/open-source-hardware
 [2]: http://libsdl.org/
 [3]: https://en.wikipedia.org/wiki/Floyd%E2%80%93Steinberg_dithering
 [4]: http://iotdk.intel.com/docs/master/upm/