---
title: Sending music over light
author: michaelh
type: post
date: 2016-04-17T15:20:43+00:00
url: /2016/04/sending-music-over-light/
enclosure:
  - |
    |
        https://juju.net.nz/michaelh/blog/wp-content/uploads/2016/04/VID-20160417-162947-3.m4v
        4893044
        video/mp4
        
  - |
    |
        https://juju.net.nz/michaelh/blog/wp-content/uploads/2016/04/Sending-music-over-light-1.m4v
        8120085
        video/mp4
        
categories:
  - hacking

---
Someone recently mentioned that you can &#8216;hear&#8217; a TV remote control by hooking a solar panel to a speaker and pointing the remote at it. It was a rainy weekend this weekend, so my son and I gave it a go:

<div style="width: 640px; " class="wp-video">
  <video class="wp-video-shortcode" id="video-327-7" width="640" height="361" preload="metadata" controls="controls"><source type="video/mp4" src="https://juju.net.nz/michaelh/blog/wp-content/uploads/2016/04/VID-20160417-162947-3.m4v?_=7" /><a href="https://juju.net.nz/michaelh/blog/wp-content/uploads/2016/04/VID-20160417-162947-3.m4v">https://juju.net.nz/michaelh/blog/wp-content/uploads/2016/04/VID-20160417-162947-3.m4v</a></video>
</div>

The circuit is simple: a solar panel from a toy, a ~1 Hz RC highpass filter to get rid of the DC component, and an amplified speaker for the output. The noise is the code that the remote is sending to the TV which is roughly 700 Hz for one remote and 400 Hz for the other.

The next step is to see if you can send music over light. With a bit more circuitry, you can:

<div style="width: 640px; " class="wp-video">
  <video class="wp-video-shortcode" id="video-327-8" width="640" height="361" preload="metadata" controls="controls"><source type="video/mp4" src="https://juju.net.nz/michaelh/blog/wp-content/uploads/2016/04/Sending-music-over-light-1.m4v?_=8" /><a href="https://juju.net.nz/michaelh/blog/wp-content/uploads/2016/04/Sending-music-over-light-1.m4v">https://juju.net.nz/michaelh/blog/wp-content/uploads/2016/04/Sending-music-over-light-1.m4v</a></video>
</div>

I used a LM386 to bias the LED to be normally on. The bias is set by a potentiometer on one of the differential inputs with the MP3 player on the other. Setting the bias too high or too low causes clipping due to the LED turning off or the amplifier hitting the 5 V supply rail. It sounds really good &#8211; well, at least as the small speaker lets it.