---
title: DFRobot FIT0441 pinout
author: michaelh
type: post
date: 2016-11-25T21:25:00+00:00
url: /2016/11/dfrobot-fit0441-pinout/
categories:
  - hacking

---
I ordered two FIT0441 brushless motors for use in v2 of my balancing robot. The [DFRobot][1] wiki page on the motor is incorrect so I thought I&#8217;d blog about it so someone else can find it 🙂

The motor comes with a 5 pin JST-SH cable with a white end and a black end. The white end goes to the motor. When looking from the back of the motor with the socket at the 6 o&#8217;clock position, the wires are:

  * Blue (left most): PWM. Take to GND for full speed. 
  * Black: GND / Supply negative 
  * Yellow: Direction 
  * Green: encoder output. ~680 Hz at full speed 
  * Red (right most): 12V
  
Note that the black end has a completely different order.

To make the motor spin, connect 12V to Black and Red and short Blue to GND. To make it spin in the opposite direction, short Yellow to GND.

[1]: https://www.dfrobot.com/wiki/index.php/FIT0441_Brushless_DC_Motor_with_Encoder_12V_159RPM
