+++
math = false
highlight = true
tags = []
title = "SAMD21E18 PCB"
date = 2017-10-02T19:31:48+02:00
draft = false

# Optional featured image (relative to `static/img/` folder).
[header]
image = ""
caption = ""

+++

In follow up to my mysensors.org build, I've always wanted to design
PCB and try my hand at SMD soldering.  I normally use veroboard on a
0.1" pitch but the time to cut and solder wires makes for a slow
build.  Here's the result:

![Final PCB assembled](board.jpg)

It has:

* An AT91SAMD21E18 (256 KiB flash, 32 pins, 0.8 mm pitch)
* USB, regulator, Cortex SWD debug header, LED, and pullups on I2C
* Footprint for a RFM69CW radio
* Adafruit Feather form factor
* Two layer PCB with 0603 passives

The soldering turned out well.  I mainly used the used the
tin/remove-excess-with-solderwick method and a heatgun for the
USB socket.  For the CPU tinning and then pressing down on the pins
with the tip of the iron worked well.

Changes for the next version would be:

* Add a ~10 k pullup to RST
* Move the LED to PA17 to match the Zero
* Reduce the LED current limit resistor to 1k from 2k2
* Put footprints on the bottom of the board for a Si7021 and/or a
  25FL064+
