+++
date = "2020-03-22T00:00:00+02:00"
title = "Teleop"
highlight = true
draft = false
tags = ["kieferbot"]
+++

As a winter project, I'm turning my
[PinePhone](https://wiki.pine64.org/index.php/PinePhone) into an
indoor robot. The Pinephone has everything needed for a decent
stand-alone robot: plenty of CPU, a camera,
gyro/accelerometor/compass, display, and it can run Debian.

Below is a video of the hardware in [teleop](https://en.wikipedia.org/wiki/Teleoperation) mode.  A
[Lolin32](https://wiki.wemos.cc/products:lolin32:lolin32)
[ESP32](https://www.espressif.com/en/products/hardware/esp32/overview)
running [MicroPython](https://micropython) takes commands over
Bluetooth LE and sends PWM and direction signals to the
[FIT0441](https://wiki.dfrobot.com/FIT0441_Brushless_DC_Motor_with_Encoder_12V_159RPM)
motors.  The frame is 3D printed.

<video controls src="teleop.m4v"></video>

Currently the phone is just a passenger.  The next step is to get the
phone to communicate with the IO board.
