---
title: "WireGuard as a home VPN"
date: 2024-01-02
---
I've just set up WireGuard on my home server and it's pretty easy even without an UI. I'm now using it as a VPN from Android, Chrome OS, and Windows.

The surprising thing was the peer `AllowedIPs`, which lists which IPs a peer owns. I ended up allocating each peer a `/30` and setting the peer to use the first address in the range.

Performance is very good and easily saturates my home Wifi. I added a simple Prometheus exporter based on the `wg show all dump` output that runs on a hourly cronjob and writes out the last ping time and transferred bytes.
 